#######################################################################
# GLOBAL MACROS 
#######################################################################

package Global

##########

# not sure exactly what this is used for but it seems it needs to default
# to something 
_optsite_ {}


##########

_htmlextra_ {}

#_starthighlight_ {<b><u>}
#_endhighlight_ {</u></b>}

_starthighlight_ {<span style="background: #FFFF77">}
_endhighlight_ {</span>}

#######################################################################
# page content
#
# these should always be overridden for each page/collection 
#######################################################################

_content_ {<p><h2>oops</h2>
_textdefaultcontent_}
_pagetitle_ {_textdefaulttitle_}
_imagethispage_ {}
_iconcollection_ {}
_collectionname_ {}

package Usability

_content_ {
<h2>_textaboutusabilitytitle_</h2>
<p>_textaboutusability_
}
_pagetitle_{_textaboutusabilitypagetitle_}

package Privacy
_content_ {
<h2>_textaboutprivacytitle_</h2>
<p>_textaboutprivacy_
}
_pagetitle_{_textaboutprivacypagetitle_}

package Global
  

_imagecollection_ {_If_("_iconcollection_" ne "",
<a href="_httppageabout_"><img src="_iconcollection_" border=0></a>,
_imagecollectionv_}
_imagecollection_ [v=1] {_imagecollectionv_}
_imagecollectionv_ {_If_(_collectionname_,<br><br><h2><a href="_httppageabout_">_collectionname_</a></h2>)}

#######################################################################
# these width macros are read in by the server when calculating 
# width of navigation bar etc. There should be one for each 
# classification that this receptionist supports, one for the 
# search button, and the _pagewidth_ macro which is the total width
# of the page
#######################################################################

# width of tabs when displaying tables of contents
_tabwidth_ {25}

_pagewidth_ {537}
# defaultwidth is the width buttons default to if not included in this list
# but you need to define a _METAwidth_ tag as the server tests that it exists!
_defaultwidth_ {87}
_searchwidth_ {_widthtsrchx_}
_Titlewidth_ {_widthttitlx_}
_Listwidth_ {_widthtlistx_}
_Creatorwidth_ {_widthtauthx_}
_Serieswidth_ {_widthtserx_}
_Datewidth_ {_widthtdatex_}
_Subjectwidth_ {_widthtsubjx_}
_Towidth_ {_widthttox_}
_Fromwidth_ {_widthtfromx_}
_Organizationwidth_ {_widthtorgx_}
_Howtowidth_ {_widththowx_}
_Topicwidth_ {_widthttopicx_}
_Browsewidth_ {_widthtbrwsex_}
_Peoplewidth_ {_widthtpeopx_}
_Languagewidth_ {_widthtlangx_}
_Acronymwidth_ {_widthtacrox_}
_Phrasewidth_ {_widthtphrsex_}
_Artistwidth_ {_widthtartstx_}
_Sourcewidth_ {_widthtsrcx_}
_Keywordwidth_ {_widthtkwx_}
_Volumewidth_ {_widthtvolx_}

#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

# _win32_ will be set to 1 if we're on windows
_win32_ {}

_navigationbar_ {}
_widthtspace_ {2}

_usability_ {}

# all cgi args are set as _cgiargX_ macros - those I've put here 
# are those that need to default to something
_cgiargd_ {}
_cgiargcl_ {}

# set from within the query action
_hselection_ {}
_jselection_ {}
_nselection_ {}
#granularity selection for mgpp
_gselection_ {}

#######################################################################
# flashy rollover image macro
#
#######################################################################

# imagescript should always be included in html header if there are
# flashy images on the page
_imagescript_ {
var loaded = new Array();
function gbutton (image, onimage) \{
  if (image && image.src && (image.out == null || typeof(image.out) == typeof(void(0)))) \{
    s = image.src;
    image.out = new Image();
    image.out.src = s;
    image.over = new Image();
    image.over.src = onimage;
    loaded[image.name] = image;
  \}
\}

function roll (imagename, over) \{
  if (document.images) \{
    if (over) i = "over";
    else i = "out";
    image = loaded[imagename];
    if (image) image.src = eval("image."+i+".src");
  \}
\}
}

# gsimage should be used to define an instance of a flashy image
# parameters are:
# 1. the url to go to when the button is clicked
# 2. the url of the "off" image
# 3. the url of the "on" image
# 4. the name of the image (must be unique)
# 5. image alt text
_gsimage_ {<a href="_1_" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);"><img
name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_" title="_5_"></a>}

_gsimage_ [v=1] {<a href="_1_">_5_</a><br>}

_usabilityscript_ {

//this is for where something goes wrong and an error message has to be shown.
function failnicely(message,usabwindow)\{
  var errhtml='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">';
  errhtml+='<head><title>_greenstoneusabilitytext__texterror_</title><meta http-equiv="Content-Type" content="text/html; charset=_cgiargw_"></head><body bgcolor="#FFFFFF">';
  errhtml+='_usabbanner_';	
  errhtml+=message;
  errhtml+='<p><form action=""><input type="button" value="_textclosewindow_" onClick="window.close();"></form>';
  errhtml+='</body></html>';
  usabwindow.document.write(errhtml);
  usabwindow.document.close();
\} 

function usabilityfunction()\{

  checkusab=window.open("","checkusab","scrollbars=1,toolbars=0,height=600,width=420");

  //set up the window
  var winhtml='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">';
  winhtml += '<html><head><title>_greenstoneusabilitytext_</title>';
  winhtml += '<script type="text/javascript">\\n';
  
  //this function is for getting the time when the complaint data is sent
  winhtml += 'function gettime()\\{\\n';
  winhtml += 'document.usabform.sendtime.value = (new Date()).toString();\\n'
  winhtml+='\\}\\n';

  //this function is to allow the user to track the usability report	
  winhtml+='function viewdetails()\\{\\n';
  winhtml+='\\t alert(\\'_textunderdev_\\');\\}';	

  //this function is to show the privacy/about data in a new window
  winhtml+='function infowindow(url)\\{  \\
   infowin = window.open(url,\\'infowin\\',\\'toolbars=0, height=600, width=600\\'); \\
 \\}';
 
  winhtml += '</script>';
  if(navigator.appName!="Netscape" || parseInt(navigator.appVersion)>=5)\{
	winhtml += '_usabstyle_';
  \}

  //need a character type for valid html
  winhtml+='<meta http-equiv="Content-Type" content="text/html; charset=_cgiargw_"></head><body bgcolor=\"#FFFFFF\">';

  //get the location of the cgi program
  cgiloc='_gwcgi_';
  if(cgiloc.lastIndexOf("/")<0)\{
     failnicely('_cannotfindcgierror_', checkusab);
     return;
  \}   
  cgiloc=cgiloc.substring(0,(cgiloc.lastIndexOf("/")+1));	
  cgiloc+='perl.cgi';
   
  //adds the banner with the koru-thing and the links to about and privacy 
  //information 
  winhtml+='_usabbanner_';
  winhtml+='_aboutprivacylinks_';
	

  // set up the form	
  winhtml += '<form name="usabform" method="post" action="'+cgiloc+'" onSubmit="gettime();">';
  winhtml += '_usabinterface_';


  //get javascript environment variables

  // to replace &s in the URL with &amp;s
  urlgs=new String(window.location);
  a=urlgs.split("&");
  urlgs=a.join("&amp;"); 
  winhtml+=('<input type="hidden" name="URL" value="'+urlgs+'">');
  
  winhtml+=('<input type="hidden" name="resolution" value="'+window.screen.width+'x'+window.screen.height+'">');
  winhtml+=('<input type="hidden" name="screencolour" value="'+window.screen.color+'">');

  //colordepth and pixeldepth are NS and IE versions of the same thing. 
   if(screen.colorDepth)\{
	winhtml+=('<input type="hidden" name="pixeldepth" value="'+window.screen.colorDepth+'">');
   \}
  else\{
	winhtml+=('<input type="hidden" name="pixeldepth" value="'+window.screen.pixelDepth+'">');
   \}
	
  winhtml+=('<input type="hidden" name="browser" value="'+navigator.platform+' ,'+navigator.appName+', '+navigator.appVersion+', '+navigator.appCodeName+', '+navigator.appUserAgent+'">');
  winhtml+=('<input type="hidden" name="language" value="'+navigator.language+'">');		
  winhtml+=('<input type="hidden" name="opentime" value="'+(new Date()).toString()+'">');	
  winhtml+=('<input type="hidden" name="sendtime" value="None">');
  if(document.getElementsByTagName)\{	
   //get interface variables
   if(document.getElementsByTagName("form"))\{
     docarray=document.getElementsByTagName("input");
     if(docarray.length>0)\{
       for(i=0; i<docarray.length; i++)\{
          //this leaves out uninteresting inputs, such as buttons 
	  //and unchecked checkboxes
         if(docarray[i].type!='reset' && docarray[i].type!='button' && 
	    docarray[i].type!='image' && docarray[i].type!='submit'
	    && !((docarray[i].type=='radio'|| docarray[i].type=='checkbox') && 
	    !docarray[i].checked))\{
	       winhtml+=('<input type="hidden" name="'+docarray[i].type+'-'+docarray[i].name+'" value="'+docarray[i].value+'">');
	 \}     
       \}
     \} 
     docarray=document.getElementsByTagName("select")
     if(docarray.length>0)\{
        for(i=0; i<docarray.length; i++)\{
           winhtml+=('<input type="hidden" name="'+docarray[i].type+'-'+docarray[i].name+'" value="'+docarray[i].value+'">');
         \} 
      \}
      docarray=document.getElementsByTagName("textarea")
      if(docarray.length>0)\{
        for(i=0; i<docarray.length; i++)\{
           winhtml+=('<input type="hidden" name="'+docarray[i].type+'-'+docarray[i].name+'" value="'+docarray[i].value+'">');
         \} 
      \}
   \}
 \}	
  //finish the form
  winhtml += '</form>';
  
  winhtml +='</body></html>'

	
  //write to the window	
  checkusab.document.write(winhtml);
  checkusab.document.close();	
  return;	

\}
}

#####################################################################
#
#  These macros are for use by the usability logging (I'd like to
#  complain)  functionality - they are to be included in a JavaScript
#  string, hence the \s 
#
#####################################################################

_usabinterface_{}

#the banner to "brand" any boxes as part of the usability interface
_usabbanner_{<table width=\"100%\"><tr><td><h1>_greenstoneusabilitytext_</h1></td><td align="right" width="135"><img src=\"_httpusabbanner_\" title=\"_textusabbanner_\" alt=\"_textusabbanner_\"></td></tr></table>}

#the about and privacy lins separated by a mid dot.
_aboutprivacylinks_ {<p class="label"><a href="javascript:infowindow(\\'http://nzdl2.cs.waikato.ac.nz/dana/gsdl/about.html\\')">_textabout_</a> &#8226; <a href="javascript:infowindow(\\'http://nzdl2.cs.waikato.ac.nz/dana/gsdl/privacy.html\\')">_textprivacy_</a>}

#gives a text only interface with some guff about privacy
_usabtextonly_{ \\
_textwhy_\\
_textprivacybasic_\\
_textstillsend_\\
_usabyesnosubmit_}

_usabyesnosubmit_{<p><input type="submit" value="_textyes_"><input type="button" value="_textno_" onClick="window.close();">}

#gives an interface with the privacy guff at the bottom, and 
#steps to describe the problem
_usabstepwise_{\\
<p>_textwhatdoing_<br> \\
<textarea name="doingwhat" rows="3" cols="40"></textarea> \\
<p>_textwhatexpected_<br> \\
<textarea name="whatexpected" rows="6" cols="40"></textarea> \\
<p>_textwhathappened_<br> \\
<textarea name="whathappened" rows="6" cols="40"></textarea> \\
_usabtextonly_}

#gives a multipart interface allowing the user to fill out less or more.
_usabmulti_{\\
_textwhy__textextraforform_\\
<h2>_textoptionally_:</h2>\\
<p class="label">_textmoredetails_:\\
<textarea name="moredetails" rows="6" cols="45"></textarea>\\
<table><tr><td>\\
<p class="label">_textcharacterise_? </td>\\
<td><select name="probtype">\\
<option>\\
<option>_textbadrender_\\
<option>_textcontenterror_\\
<option>_textstrangebehaviour_\\
<option>_textunexpected_\\
<option>_textfunctionality_\\
<option>_textother_\\
</select></td></tr>\\
<tr><td><p class="label">_textseverity_? </td>\\
<td><select name="severity">\\
<option>\\
<option>_textcritical_\\
<option>_textmajor_\\
<option>_textmedium_\\
<option>_textminor_\\
<option>_texttrivial_\\
</select>\\
</td></tr></table>\\
_textprivacybasic__textstillsend_\\
<table width="100%"><tr><td><a href="javascript:viewdetails()"><p class="label">_textviewdetails_</a></td><td align="right"><button type="button" onClick="window.close()"><b>_textdontsend_</b></button></td><td align="right"><button type="submit"><b>_textsend_</b></button></td></tr></table>\\
}

#style definitions to please NS 4.7
_usabstyle_{\\
<style type="text/css">\\
\\
table \{ width: 100% \} \\
td.right \{ align:right \} \\
\\
h1 \{font-size:20px; font-family: sans-serif; vertical-align:middle\\} \\
h2 \{font-size:14px; color: #009966; font-family: sans-serif; font-weight:bold \}\\
p.label \{ font-family:sans-serif; \}\\
</style>\\
}



#######################################################################
# navigation bar images
#
#######################################################################

# the spacer image - the width of this is set from server
_imagespacer_ {<img 
src="_httpicontspace_" width="_widthtspace_" height="_heighttspace_">}
_imagespacer_[v=1] {<br>
}

# image macros for all the classifications currently supported by
# this receptionist.

_imagesearch_ {_If_("_cgiargu_" ne "1",_imagesearch2_,_iconnosearch_)}
_imagesearch2_ {_gsimage_(_httpquery_,_httpicontsrchof_,_httpicontsrchon_,srch,_textimagesearch_)}
_imageTitle_ {_gsimage_(_httpbrowseTitle_,_httpiconttitlof_,_httpiconttitlon_,titles,_textimageTitle_)}
_imageCreator_ {_gsimage_(_httpbrowseCreator_,_httpicontauthof_,_httpicontauthon_,authors,_textimageCreator_)}
_imageSeries_ {_gsimage_(_httpbrowseSeries_,_httpicontserof_,_httpicontseron_,series,_textimageSeries_)}
_imageDate_ {_gsimage_(_httpbrowseDate_,_httpicontdateof_,_httpicontdateon_,dates,_textimageDate_)}
_imageSubject_ {_gsimage_(_httpbrowseSubject_,_httpicontsubjof_,_httpicontsubjon_,subjects,_textimageSubject_)}
_imageTo_ {_gsimage_(_httpbrowseTo_,_httpiconttoof_,_httpiconttoon_,to,_textimageTo_)}
_imageFrom_ {_gsimage_(_httpbrowseFrom_,_httpicontfromof_,_httpicontfromon_,from,_textimageFrom_)}
_imageOrganization_ {_gsimage_(_httpbrowseOrganization_,_httpicontorgof_,_httpicontorgon_,org,_textimageOrganization_)}
_imageHowto_ {_gsimage_(_httpbrowseHowto_,_httpiconthowof_,_httpiconthowon_,how,_textimageHowto_)}
_imageTopic_ {_gsimage_(_httpbrowseTopic_,_httpiconttopicof_,_httpiconttopicon_,topic,_textimageTopic_)}
_imageBrowse_ {_gsimage_(_httpbrowseBrowse_,_httpicontbrwseof_,_httpicontbrwseon_,browse,_textimageBrowse_}
_imageBrowseMeta_ {_gsimage_(_httpBrowseMeta_,_httpicontbrowsof_,_httpicontbrowson_,browsemeta,_textimageBrowse_)}
_imagePeople_ {_gsimage_(_httpbrowsePeople_,_httpicontpeopof_,_httpicontpeopon_,people,_textimagePeople_)}
_imageLanguage_ {_gsimage_(_httpbrowseLanguage_,_httpicontlangof_,_httpicontlangon_,language,_textimageLanguage_)}
_imageAcronym_ {_gsimage_(_httpbrowseAcronym_,_httpicontacroof_,_httpicontacroon_,acronym,_textimageAcronym_)}
_imagePhrase_ {_gsimage_(_httpbrowsePhrase_,_httpicontphrseof_,_httpicontphrseon_,phrase,_textimagePhrase_)}
_imageArtist_ {_gsimage_(_httpbrowseArtist_,_httpicontartstof_,_httpicontartston_,artist,_textimageArtist_)}
_imageSource_ {_gsimage_(_httpbrowseSource_,_httpicontsrcof_,_httpicontsrcon_,source,_textimageSource_)}
_imageKeyword_ {_gsimage_(_httpbrowseKeyword_,_httpicontkwof_,_httpicontkwon_,kw,_textimageKeyword_)}
_imageVolume_ {_gsimage_(_httpbrowseVolume_,_httpicontvolof_,_httpicontvolon_,volume,_textimageVolume_)}

#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome__imagehelp__imagepref__usability_}
_javalinks_ [v=1] {
_imagehome_<br>
_imagehelp_<br>
_imagepref_<br>
}


#######################################################################
# general web macros 
#######################################################################

_mailaddr_ {greenstone@cs.waikato.ac.nz}

_gsdltop_ {_top}

#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httpcollimg_ {_httpcollection_/index/assoc}
_httpdocimg_ {_httpcollimg_/_thisOID_}

_httpcollection_ {_httpprefix_/collect/_cgiargc_}

_httppagex_ {_gwcgi_?e=_compressedoptions_&a=p&p=_1_}
_httppagestatus_ {_gwcgi_?e=_compressedoptions_&a=status&p=frameset}
_httppagecollector_ {_gwcgi_?e=_compressedoptions_&a=collector&p=intro}
_httppageabout_ {_httppagex_(about)}
#_httppagehome_ {_httppagex_(home)}
###_httppagehome_ {http://www.nzdl.org/cgi-bin/dblibrary?a=p&p=home}
_httppagehome_ {_gwcgi_?a=p&p=home&l=_cgiargl_&w=_cgiargw_}
_httppagehelp_ {_httppagex_(help)}
_httppagepref_ {_httppagex_(preferences)}
_httppagedocs_ {_httppagex_(docs)}
_httpclearhistory_ {_gwcgi_?e=_compressedoptions_&a=dh}

_httppageusab_ {javascript:usabilityfunction()}
_httpgreenstone_ {_httppagex_(gsdl)}
_httpdownload_ {http://www.nzdl.org/download}
_httppublications_ {_httpdownload_/greenstone/publications}

_httpcurrentdocument_ {_gwcgi_?e=_compressedoptions_&cl=_cgiargcl_&d=_cgiargd_}
_httpquery_ {_gwcgi_?e=_compressedoptions_&a=q}
_httpBrowse_ {_gwcgi_?e=_compressedoptions_&a=br}

# _httpdoc_ is the same as _httpdocument_ - _httpdocument_
# may occasionally be altered by the server however
_httpdocument_ {_gwcgi_?e=_compressedoptions_&a=d}
_httpdoc_  {_gwcgi_?e=_compressedoptions_&a=d}

_httpextlink_ {_gwcgi_?e=_compressedoptions_&a=extlink}
_httpbuild_ {_gwcgi_?e=_compressedoptions_&a=bc}

_httpiconchalk_ {_httpimg_/chalk.gif}
_widthchalk_ {2000}
_heightchalk_ {10}

_httpicondivb_ {_httpimg_/divb.gif}
_widthdivb_ {_pagewidth_}
_heightdivb_ {17}

_httpicongsdl_ {_httpimg_/gsdl.gif}
_widthgsdl_ {140}
_heightgsdl_ {77}

_httpusabbanner_ {_httpimg_/usabbanner.gif}

_httpiconitext_ {_httpimg_/itext.gif}
_widthitext_ {16}
_heightitext_ {21}

_httpiconibtext_ {_httpimg_/ibtext.gif}
_widthibtext_ {16}
_heightibtext_ {21}

_httpiconimpegvideo_ {_httpimg_/impegvid.gif}
_widthimpegvideo_ {29}
_heightimpegvideo_ {32}

_httpiconiqtvideo_ {_httpimg_/iqtvideo.gif}
_widthiqtvideo_ {29}
_heightiqtvideo_ {32}

_httpiconirmvideo_ {_httpimg_/irmvideo.gif}
_widthirmvideo_ {29}
_heightirmvideo_ {32}

_httpiconless_ {_httpimg_/less.gif}
_widthless_ {30}
_heightless_ {16}

_httpiconmore_ {_httpimg_/more.gif}
_widthmore_ {30}
_heightmore_ {16}

_httpiconspacer_ {_httpimg_/spacer.gif}
_widthspacer_ {42}
_heightspacer_ {4}

_httpicontabspace_ {_httpimg_/tabspace.gif}
_widthtabspace_ {23}
_heighttabspace_ {1}

_httpicontspace_ {_httpimg_/tspace.gif}
_heighttspace_ {17}

_httpiconwarning_ {_httpimg_/warning.gif}
_widthwarning_ {30}
_heightwarning_ {29}

_httpiconhhome_ {_httpimg_/h\_home.gif}
_widthhhome_ {200}
_heighthhome_ {57}

_httpiconarrrght_ {_httpimg_/arrrght.gif}
_widtharrrght_ {23}
_heightarrrght_ {15}

_httpiconopenbook_ {_httpimg_/openbook.gif}
_widthopenbook_ {28}
_heightopenbook_ {23}

_httpiconaopenbk_ {_httpimg_/aopenbk.gif}
_widthaopenbk_ {28}
_heightaopenbk_ {23}

_httpiconopenfldr_ {_httpimg_/openfldr.gif}
_widthopenfldr_ {23}
_heightopenfldr_ {15}

_httpiconaopenfdr_ {_httpimg_/aopenfdr.gif}
_widthaopenfdr_ {23}
_heightaopenfdr_ {15}

_httpiconbook_ {_httpimg_/book.gif}
_widthbook_ {18}
_heightbook_ {11}

_httpiconabook_ {_httpimg_/abook.gif}
_widthabook_ {18}
_heightabook_ {11}

_httpiconbshelf_ {_httpimg_/bshelf.gif}
_widthbshelf_ {20}
_heightbshelf_ {16}

_httpiconabshelf_ {_httpimg_/abshelf.gif}
_widthabshelf_ {20}
_heightabshelf_ {16}

_httpiconsmtext_ {_httpimg_/smtext.gif}
_widthsmtext_ {23}
_heightsmtext_ {15}

_httpiconasmtext_ {_httpimg_/asmtext.gif}
_widthasmtext_ {23}
_heightasmtext_ {15}

_httpiconclsdfldr_ {_httpimg_/clsdfldr.gif}
_widthclsdfldr_ {23}
_heightclsdfldr_ {15}

_httpiconaclsdfdr_ {_httpimg_/aclsdfdr.gif}
_widthaclsdfdr_ {23}
_heightaclsdfdr_ {15}

_httpiconimidi_ {_httpimg_/imidi.gif}
_widthimidi_ {16}
_heightimidi_ {21}

_httpiconimsword_ {_httpimg_/imsword.gif}
_widthimsword_ {26}
_heightimsword_ {26}

_httpiconipdf_ {_httpimg_/ipdf.gif}
_widthipdf_ {26}
_heightipdf_ {26}

_httpiconips_ {_httpimg_/ips.gif}
_widthips_ {25}
_heightips_ {32}

_httpiconippt_ {_httpimg_/ippt.gif}
_widthippt_ {32}
_heightippt_ {30}

_httpiconirtf_ {_httpimg_/irtf.gif}
_widthirtf_ {29}
_heightirtf_ {32}

_httpiconixls_ {_httpimg_/iexcel.gif}
_widthixls_ {32}
_heightixls_ {30}

#######################################################################
# Icons 
#
# Must not include links (so they can be used as links). If you want to
# include links use _image
#######################################################################

_iconnext_{<img src="_httpiconmore_" align=absbottom 
width=_widthmore_ height=_heightmore_ border=0 alt="_texticonnext_" title="_texticonnext_">}
_iconnext_[v=1] {_texticonnext_}

_iconprev_{<img src="_httpiconless_" align=absbottom 
width=_widthless_ height=_heightless_ border=0 alt="_texticonprev_" title="_texticonprev_">}
_iconprev_[v=1] {_texticonprev_}

_icontabsearchgreen_ {<img 
src="_httpicontsrchgr_" width=_widthtsrchx_ border=0>}
_icontabsearchgreen_[v=1] {_texticontabsearchgreen_}

_icontabListgreen_ {<img
src="_httpicontlistgr_" width=_widthtlistx_ border=0>}
_icontablistgreen_ [v=1] {_texticontablistgreen_}

_icontabTitlegreen_ {<img 
src="_httpiconttitlgr_" width=_widthttitlx_ border=0>}
_icontabTitlegreen_[v=1] {_texticontabtitlegreen_}

_icontabCreatorgreen_ {<img 
src="_httpicontauthgr_" width=_widthtauthx_ border=0>}
_icontabCreatorgreen_[v=1] {_texticontabauthorgreen_}

_icontabSeriesgreen_ {<img 
src="_httpicontsergr_" width=_widthtserx_ border=0>}
_icontabSeriesgreen_[v=1] {_texticontabseriesgreen_}

_icontabDategreen_ {<img 
src="_httpicontdategr_" width=_widthtdatex_ border=0>}
_icontabDategreen_[v=1] {_texticontabdategreen_}

_icontabSubjectgreen_ {<img 
src="_httpicontsubjgr_" width=_widthtsubjx_ border=0>}
_icontabSubjectgreen_[v=1] {_texticontabsubjectgreen_}

_icontabTogreen_ {<img 
src="_httpiconttogr_" width=_widthttox_ border=0>}
_icontabTogreen_[v=1] {_texticontabtogreen_}

_icontabFromgreen_ {<img 
src="_httpicontfromgr_" width=_widthtfromx_ border=0>}
_icontabFromgreen_[v=1] {_texticontabfromgreen_}

_icontabHowtogreen_ {<img 
src="_httpiconthowgr_" width=_widththowx_ border=0>}
_icontabHowtogreen_[v=1] {_texticontabhowgreen_}

_icontabTopicgreen_ {<img 
src="_httpiconttopicgr_" width=_widthttopicx_ border=0>}
_icontabTopicgreen_[v=1] {_texticontabtopicgreen_}

_icontabBrowsegreen_ {<img 
src="_httpicontbrwsegr_" width=_widthtbrwsex_ border=0>}
_icontabBrowsegreen_[v=1] {_texticontabbrwsegreen_}

_icontabOrganizationgreen_ {<img 
src="_httpicontorggr_" width=_widthtorgx_ border=0>}
_icontabOrganizationgreen_[v=1] {_texticontaborggreen_}

_icontabPeoplegreen_ {<img
src="_httpicontpeopgr_" width=_widthtpeopx_ border=0>}
_icontabPeoplegreen_[v=1] {_texticontabPeoplegreen_}

_icontabLanguagegreen_ {<img
src="_httpicontlanggr_" width=_widthtlangx_ border=0>}
_icontabLanguagegreen_[v=1] {_texticontabLanguagegreen_}

_icontabAcronymgreen_ {<img
src="_httpicontacrogr_" width=_widthtacrox_ border=0>}
_icontabAcronymgreen_[v=1] {_texticontabAcronymgreen_}

_icontabPhrasegreen_ {<img
src="_httpicontphrsegr_" width=_widthtphrsex_ border=0>}
_icontabPhrasegreen_[v=1] {_texticontabPhrasegreen_}

_icontabArtistgreen_ {<img
src="_httpicontartstgr_" width=_widthtartstx_ border=0>}
_icontabArtistgreen_[v=1] {_texticontabArtistgreen_}

_icontabSourcegreen_ {<img 
src="_httpicontsrcgr_" width=_widthtsrcx_ border=0>}
_icontabSourcegreen_[v=1] {_texticontabSourcegreen_}

_icontabKeywordgreen_ {<img 
src="_httpicontkwgr_" width=_widthtkwx_ border=0>}
_icontabKeywordgreen_[v=1] {_texticontabKeywordgreen_}

_icontabVolumegreen_ {<img 
src="_httpicontvolgr_" width=_widthtvolx_border=0>}
_icontabVolumegreen_[v=1] {_texticontabVolumegreen_}


_iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=_heightdivb_></center>}
_iconblankbar_[v=1] {<br><hr><br>}

_icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width=_widthitext_ height=_heightitext_ alt="_texticontext_" title="_texticontext_">}
_icontext_[v=1] {_texticontext_}

_iconblanktext_ {<img border=0 align=absmiddle src="_httpiconibtext_" width=_widthibtext_ height=_heightibtext_>}
_iconblanktext_[v=1] {}

_iconclosedbook_ {<img src="_httpiconbook_" width=_widthbook_ height=_heightbook_ border=0 alt="_texticonclosedbook_" title="_texticonclosedbook_">}
_iconclosedbook_ [v=1] {<small><b>_texticonclosedbook_: </b></small>}
_iconclosedbook_ [v=1,l=zh]{<small><_font_><b>_texticonclosedbook_: </b></font></small>}

_icondoc_ {<img border=0 align=absmiddle src="_httpiconimsword_" width=_widthimsword_ height=_heightimsword_ alt="_texticonmsword_" title="_texticonmsword_">}
_iconmsword_[v=1] {_texticonmsword_}

_iconmidi_ {<img border=0 align=absmiddle src="_httpiconimidi_" width=_widthimidi_ height=_heightimidi_ alt="_texticonmidi_" title="_texticonmidi_">}
_iconmidi_[v=1] {_texticonmidi_}

_iconpdf_ {<img border=0 align=absmiddle src="_httpiconipdf_" width=_widthipdf_ height=_heightipdf_ alt="_texticonpdf_" title="_texticonpdf_">}
_iconpdf_[v=1] {_texticonpdf_}

_iconps_ {<img border=0 align=absmiddle src="_httpiconips_" width=_widthips_ height=_heightips_ alt="_texticonps_" title="_texticonps_">}
_iconps_[v=1] {_texticonps_}

_iconppt_ {<img border=0 align=absmiddle src="_httpiconippt_" width=_widthippt_ height=_heightippt_ alt="_texticonppt_" title="_texticonppt_">}
_iconppt_[v=1] {_texticonppt_}

_iconrtf_ {<img border=0 align=absmiddle src="_httpiconirtf_" width=_widthirtf_ height=_heightirtf_ alt="_texticonrtf_" title="_texticonrtf_">}
_iconrtf_[v=1] {_texticonrtf_}

_iconxls_ {<img border=0 align=absmiddle src="_httpiconixls_" width=_widthixls_ height=_heightixls_ alt="_texticonxls_" title="_texticonxls_">}
_iconxls_[v=1] {_texticonxls_}

_iconnosearch_ {<img src="_httpimg_/nosearch.gif">}

#######################################################################
# Image links 
#
# These might include a link (not like an _icon_
#######################################################################

_imagehome_ {_If_("_cgiargu_" ne "1",_imagehome2_)}
_imagehome2_ {_gsimage_(_httppagehome_,_httpiconchomeof_,_httpiconchomeon_,homer,_textimagehome_)}

_imagehelp_ {_gsimage_(_httppagehelp_,_httpiconchelpof_,_httpiconchelpon_,help,_textimagehelp_)}

_imagepref_ {_If_("_cgiargu_" ne "1",_imagepref2_)}
_imagepref2_ {_gsimage_(_httppagepref_,_httpiconcprefof_,_httpiconcprefon_,pref,_textimagepref_)}

_imageusab_ {_gsimage_(_httppageusab_,_httpiconcusabof_,_httpiconcusabon_,usab,_textimageusab_)}

_imagegreenstone_ {<img src="_httpicongsdl_" width="_widthgsdl_" height="_heightgsdl_" border="0" alt="_textimagegreenstone_" title="_textimagegreenstone_" hspace=0>}

_imagegreenstone_[v=1] {_textimagegreenstone_}
